/*
 * jMax
 * Copyright (C) 1994, 1995, 1998, 1999 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * See file LICENSE for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Based on Max/ISPW by Miller Puckette.
 *
 * Authors: Maurizio De Cecco, Francois Dechelle, Enzo Maggi, Norbert Schnell.
 *
 */

#include <fts/fts.h>

extern void glxscreen_config(void);
extern void glutscreen_config(void);
extern void gfx_recbmp_config(void);

fts_symbol_t display_list_symbol = 0;
fts_symbol_t drawvects_symbol = 0;
fts_symbol_t texture_symbol = 0;

extern void _gfx_out_config(void);

static void
//gfx_out_config(void)
fts_io_init(void)
{
  //_gfx_out_config();

  display_list_symbol = fts_new_symbol("display_list");
  texture_symbol = fts_new_symbol("texture");
  drawvects_symbol = fts_new_symbol("drawvects");
  glxscreen_config();
  glutscreen_config();

  gfx_recbmp_config();
}

fts_module_t gmax_output_module = {"gmax_output", "Gmax Output Objects", fts_io_init, 0, 0};
