/*
 * jMax
 * Copyright (C) 1994, 1995, 1998, 1999 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * See file LICENSE for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Based on Max/ISPW by Miller Puckette.
 *
 * Authors: Maurizio De Cecco, Francois Dechelle, Enzo Maggi, Norbert Schnell.
 *
 */

#include <fts/fts.h>

extern void display_list_config(void);
extern void drawvects_config(void);
extern void rotate_config(void);
extern void geomscale_config(void);
extern void gfx_solid_cube_config(void);
extern void gfx_wire_cube_config(void);
extern void gfx_solid_sphere_config(void);
extern void gfx_wire_sphere_config(void);
extern void gfx_solid_cone_config(void);
extern void gfx_wire_cone_config(void);
extern void gfx_solid_torus_config(void);
extern void gfx_wire_torus_config(void);
extern void gfx_solid_teapot_config(void);
extern void gfx_wire_teapot_config(void);
extern void gfx_solid_icosa_config(void);
extern void gfx_wire_icosa_config(void);
extern void gfx_wire_dodeca_config(void);
extern void gfx_solid_dodeca_config(void);
extern void gfx_wire_tetra_config(void);
extern void gfx_solid_tetra_config(void);
extern void gfxsig_config(void);
extern void gfxmesh_config(void);
extern void gfxscope_config(void);
extern void gfx_color_cube_config(void);
extern void gfx_fountain_config(void);

static fts_class_t *display_list_class;
static fts_symbol_t display_list_symbol;

extern void _gfx_3do_config(void);

static void
//gfx_3do_config(void)
fts_io_init(void)
{
  //  _gfx_3do_config();

  display_list_symbol = fts_new_symbol("display_list");
  display_list_config();

  drawvects_config();

  gfx_solid_cube_config();
  gfx_wire_cube_config();
  gfx_solid_sphere_config();
  gfx_wire_sphere_config();
  gfx_solid_cone_config();
  gfx_wire_cone_config();
  gfx_solid_torus_config();
  gfx_wire_torus_config();

  gfx_wire_icosa_config();
  gfx_solid_icosa_config();
  gfx_wire_dodeca_config();
  gfx_solid_dodeca_config();
  gfx_wire_tetra_config();
  gfx_solid_tetra_config();

  gfx_solid_teapot_config();
  gfx_wire_teapot_config();
  
  gfxsig_config();
  gfxmesh_config();
  gfxscope_config();

  gfx_color_cube_config();
  gfx_fountain_config();
}

fts_module_t gmax_3dobjects_module = {"gmax_3dobjects", "Gmax 3D Objects", fts_io_init, 0, 0};
