/*
 * jMax
 * Copyright (C) 1994, 1995, 1998, 1999 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * See file LICENSE for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Based on Max/ISPW by Miller Puckette.
 *
 * Authors: Maurizio De Cecco, Francois Dechelle, Enzo Maggi, Norbert Schnell.
 *
 * Author : Paul-Mathieu Brossier <Paul.Brossier@ircam.fr>
 */

#ifndef _GFX_VECTORS_H_
#define _GFX_VECTORS_H_

#include <GL/gl.h>
#include <GL/glut.h>

extern fts_symbol_t display_list_symbol;
extern fts_class_t *display_list_class;

typedef struct _display_list_
{
  fts_object_t o;
  int list_index;
} display_list_t;

typedef struct _gfx_obj_
{
  fts_object_t o;
  int new_display_list_index;   //display list created
  display_list_t *display_list; //display_list received
  int argc;                     //number of parameters
  fts_atom_t argv[16];          //array of parameters
} gfx_obj_t;


#endif
