/*
 * jMax
 * Copyright (C) 1994, 1995, 1998, 1999 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * See file LICENSE for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Based on Max/ISPW by Miller Puckette.
 *
 * Authors: Maurizio De Cecco, Francois Dechelle, Enzo Maggi, Norbert Schnell.
 *
 */

#include <fts/fts.h>




extern void gfx_color_three_config(void);
extern void gfx_color_four_config(void);
extern void gfx_color_index_config(void);

extern void gfx_scale_config(void);
extern void gfx_rotate_config(void);
extern void gfx_translate_config(void);

extern void gfx_frustum_config(void);
extern void gfx_lookat_config(void);
extern void gfx_perspective_config(void);
extern void gfx_pilot_config(void);

extern void gfx_ortho2d_config(void);
extern void gfx_ortho_config(void);
extern void gfx_identity_config(void);

extern void gfx_matrixmode_config(void);

extern void gfx_line_width_config(void);

extern void gfxmultiple_config(void);

extern void gfx_fountain2_config(void);


fts_symbol_t display_list_symbol = 0;
fts_symbol_t drawvects_symbol = 0;
fts_symbol_t texture_symbol = 0;

extern void _gfx_3de_config(void);

static void
//gfx_3de_config(void)
fts_io_init(void)
{
  //  _gfx_3de_config();


  gfx_color_three_config();
  gfx_color_four_config();
  gfx_color_index_config();

  gfx_scale_config();
  gfx_rotate_config();
  gfx_translate_config();

  gfx_matrixmode_config();

  gfx_frustum_config();
  gfx_lookat_config();
  gfx_perspective_config();

  gfx_pilot_config();
  gfx_ortho_config();
  gfx_ortho2d_config();
  gfx_identity_config();

  gfx_line_width_config();

  gfxmultiple_config();

  //  gfx_fountain2_config();

}


fts_module_t gmax_3deffects_module = {"gmax_3deffects", "Gmax 3D Effects", fts_io_init, 0, 0};
